## ros-noetic-pal-statistics 1.5.1

=== debian/changelog ===
ros-noetic-pal-statistics (1.5.1-1focal) focal; urgency=high

  * drop c++11 compiler flag
    broke on newer systems as log4cxx requires c++17 for quite some time now.
  * Contributors: v4hn

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-noetic-pal-statistics (1.5.0-1focal) focal; urgency=high

  * Merge branch 'python3' into 'erbium-devel'
    Make python code compatible with python2/3
    See merge request qa/pal_statistics!23
  * futurize'd python code
  * Contributors: Jordan Palacios

 -- victor <victor.lopez@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-noetic-pal-statistics (1.4.3-1focal) focal; urgency=high

  * Fix spurious test failure
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-noetic-pal-statistics (1.4.2-1focal) focal; urgency=high

  * Merge branch 'data_signal' into 'erbium-devel'
    Data signal
    See merge request qa/pal_statistics!22
  * Add documentation + tests for extact_rosbag_signals
  * Merge branch 'python_more_tests' into 'erbium-devel'
    add more tests based on lists and dictionary data for the python API
    See merge request qa/pal_statistics!21
  * Get data signal from introspection data rosbag
    Rm *.user
    Get data signal from introspection data rosbag
    Rm *.user
    Mv DataSignal to a separate library
  * add more tests based on lists and dictionary data for the python API
  * Contributors: Adria Roig, Sai Kishor Kothakota, victor

 -- victor <victor.lopez@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-noetic-pal-statistics (1.4.1-1focal) focal; urgency=high

  * Update license on headers
    refs #5
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-noetic-pal-statistics (1.4.0-1focal) focal; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-noetic-pal-statistics (1.3.1-1focal) focal; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-noetic-pal-statistics (1.3.0-1focal) focal; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-noetic-pal-statistics (1.2.1-1focal) focal; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-noetic-pal-statistics (1.2.0-1focal) focal; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-noetic-pal-statistics (1.1.1-1focal) focal; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.1.0-1focal) focal; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.0.8-1focal) focal; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.0.7-1focal) focal; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.0.6-1focal) focal; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.0.5-1focal) focal; urgency=high

  * Fix bug when changing registrations and publsihing before a pubAsync
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-noetic-pal-statistics (1.0.4-1focal) focal; urgency=high

  * Merge branch 'auto-start-thread' into 'erbium-devel'
    Auto start thread and use steady clock for time diff
    See merge request qa/pal_statistics!10
  * Auto start thread and use steady clock for time diff
  * Contributors: Victor Lopez


