=== debian/control ===
Source: ros-noetic-pal-statistics
Section: misc
Priority: optional
Maintainer: victor <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), google-mock <!nocheck>, libboost-all-dev, ros-noetic-catkin, ros-noetic-pal-statistics-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-pal-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python3-future, ros-noetic-pal-statistics-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-rospy
Description: The pal_statistics package
